package com.zhilian.business.controller;

import com.github.pagehelper.PageInfo;
import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.controller.BaseController;
import com.zhilian.business.domain.Fence;
import com.zhilian.business.domain.FenceVo;
import com.zhilian.business.service.FenceService;
import com.zhilian.common.security.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
  * @ClassName FenceController
  * @Description 电子围栏控制层
  * @Author ZeJinG.Su
  * @Date  14:37 2024/3/29
 */
@RestController
@RequestMapping("fence")
public class FenceController extends BaseController {
    @Autowired
    private FenceService fenceService;

    /**
     * TODO: 围栏管理
     */
    @PostMapping("/list")
    public Result<PageInfo<Fence>> fenceList(@RequestBody FenceVo fenceVo) {
        return success(fenceService.fenceList(fenceVo));
    }

    /**
     * 新增围栏
     * @param fence
     * @return
     */
    @PostMapping("/fenceAdd")
    public Result fenceAdd(@RequestBody Fence fence) {
        boolean i = fenceService.save(fence);
        return toAjax(i);
    }

//    @PostMapping("insertFence")
//    public Result insertFence(@RequestBody Fence fence) {
//        Result result = fenceService.insertFence(fence);
//        return Result.success();
//    }

    /**
     * 修改电子围栏
     */
    //    @RequiresPermissions("system:config:fenceAdd")
    @PostMapping("/fenceUpdate")
    public Result fenceUpdate(@RequestBody Fence fence) {
        boolean i = fenceService.updateById(fence);
        return toAjax(i);
    }

    /**
     * 删除围栏
     * @param
     * @return
     */
    @PostMapping("/fenceDelete/{fenceId}")
    public Result fenceDelete(@PathVariable String fenceId) {
        boolean i = fenceService.removeById(fenceId);
        return toAjax(i);
    }

}
