package com.zhilian.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("business_fence")
public class Fence extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 电子围栏编号
     */
    @Excel(name = "参数主键", cellType = Excel.ColumnType.NUMERIC)
    @TableId(value = "fence_id", type = IdType.AUTO)
    private Long fenceId;
    /**
     * 电子围栏名称
     */
    @Excel(name = "电子围栏名称")
    @TableField("fence_name")
    private String fenceName;
    /**
     * 电子围栏类型编号
     */
    @Excel(name = "电子围栏类型编号")
    @TableField("fence_type_id")
    private Long fenceTypeId;
    /**
     * 电子围栏状态
     */
    @Excel(name = "电子围栏状态")
    @TableField("fence_state")
    private Long fenceState;
    /**
     * 电子围栏经纬度信息
     */
    @Excel(name = "电子围栏经纬度信息")
    @TableField("fence_message")
    private String fenceMessage;


}
