package com.zhilian.online.consumer;

import com.alibaba.fastjson.JSON;
import com.zhilian.online.config.RabbitConfig;
import com.zhilian.online.domain.req.GatherRegReq;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.consumer
 * @Author: LiYuan
 * @CreateTime: 2024-03-30  19:57
 * @Description: 监听死信队列消费者
 * @Version: 1.0
 */
@Component
@Slf4j
public class DeadQueueConsumer {


    /**
     * 消费死信队列中的消息,确保车辆上线成功
     */
    @RabbitListener(queues = RabbitConfig.DEAD_QUEUE_NAME)
    public void SecureOnline(String gatherRegReqMsg) {
        GatherRegReq gatherRegReq = JSON.parseObject(gatherRegReqMsg, GatherRegReq.class);
        log.info("开始检查节点{}的上线状态......",
                gatherRegReq.getClientId());


        log.info("节点上线成功");

        log.info("节点上线失败");

    }

}
