package com.zhilian.resolver.controller;
import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.page.PageResult;
import com.zhilian.common.log.annotation.Log;
import com.zhilian.common.log.enums.BusinessType;
import com.zhilian.common.resolver.domain.req.ReportByEsReq;
import com.zhilian.common.resolver.domain.resp.ReportByEsResp;
import com.zhilian.resolver.service.ReportByEsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
  * @ClassName ReportByElasticSearchController
  * @Description es获取报文数据
  * @Author Can.J
  * @Date  2024/3/27 23:54
 */

@RestController
@RequestMapping("/es")
public class ReportByElasticSearchController {

    /**
      * @Description ReportByEsService业务层
      * @Author Can.J
      * @Date  2024/3/28 22:08
     */
    @Autowired
    private ReportByEsService reportByEsService;

    /**
     * @Description es获取报文数据
     * @Param [roomRequest]
     * @return com.zhilian.common.result.Result<com.zhilian.common.result.PageResult<com.zhilian.common.result.RoomResponse>>
     **/
    @Log(title = "es获取报文数据", businessType = BusinessType.OTHER)
    @PostMapping("/queryReportByEs")
    public Result<PageResult<ReportByEsResp>> queryReportByEs(@RequestBody ReportByEsReq reportByEsReq){
        Result<PageResult<ReportByEsResp>> result=reportByEsService.queryReportByEs(reportByEsReq);
        return result;
    }

}
